Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 108649 - No way to wait for changes to a Java file to appear in ClassIndex
No way to wait for changes to a Java file to appear in ClassIndex
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jan Jancura
issues@java
fix-in-60
: API
Depends on:
Blocks: 93050 101719
  Show dependency treegraph
 
Reported: 2007-07-02 15:12 UTC by Andrei Badea
Modified: 2009-05-26 20:52 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-07-02 15:12:25 UTC
There is currently no way to wait for the changes made to a Java file (or for a newly created Java file) to appear in
ClassIndex. For example, when creating a new EJB and using the Java EE metadata model to locate all EJBs, the new one
will note be present in the model (even though the model just calls ClassIndex.getElements() and does not rely on the CI
events).
Comment 1 Jan Lahoda 2007-07-02 18:12:27 UTC
Tomas should probably be in charge for this.
Comment 2 Petr Hrebejk 2007-10-01 12:09:52 UTC
As per gentleman agreement.
Comment 3 Jiri Prox 2008-04-11 00:52:03 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 4 David Konecny 2009-05-18 00:51:44 UTC
Any chance this being implemented soon Hanz? Or any suggestions on who to achieve that some other way?

Btw. JEE6 support which is planned for NB6.8 will rely heavily on annotation based meta models as most of the
specification are shifting from XML to annotations (Servlet 3.0, Web Beans, JSF, ...).
Comment 5 Jan Jancura 2009-05-18 14:44:56 UTC
This RFE is not part of any plan.
Comment 6 David Konecny 2009-05-18 21:56:36 UTC
Thanks. I assume it is still valid but I will double check first and get back to you. Do you think off-hand this would
be easy or problematic to support?
Comment 7 David Konecny 2009-05-26 20:52:53 UTC
As mentioned in issue 101719 this has been resolved for 6.7 by Tomas Zezula.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo